Update conversation control
Switch an active web chat between AI and human control using the observed control_version. Required scope: `conversations:write`.
Preferred authentication header.
In: header
Path Parameters
Conversation ID from an event or existing conversation record.
^[a-fA-F0-9]{24}$24 <= length <= 24Request Body
application/json
JSON object. Unknown properties are rejected.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.agent-brains.com/conversations/stringstringstringstring/control" \ -H "Content-Type: application/json" \ -d '{ "mode": "ai", "expected_version": 9007199254740991 }'{
"id": "string",
"employee_id": "string",
"recipient_id": "string",
"channel": "web-chat",
"mode": "ai",
"control_version": 0
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}List conversation messages
Read structured messages using a cursor scoped to the tenant and conversation. Required scope: `conversations:read`.
Send operator message
Accept an idempotent operator reply for an active web chat in human mode. A 202 response reports acceptance. Required scope: `conversations:write`.